Bug 237041 - (perl-JSON) Review Request: perl-JSON - Parse and convert to JSON (JavaScript Object Notation)
Review Request: perl-JSON - Parse and convert to JSON (JavaScript Object Nota...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
Depends On:
Blocks: perl-CGI-Ex
  Show dependency treegraph
Reported: 2007-04-18 20:42 EDT by Chris Weyl
Modified: 2011-08-26 17:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-25 16:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-18 20:42:12 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-JSON-1.10-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-JSON.spec

This module converts between JSON (JavaScript Object Notation) and Perl
data structure into each other. For JSON, See to
Comment 2 Bernard Johnson 2007-04-25 12:34:14 EDT
Package Review

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Rpmlint output: None
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the  Packaging Guidelines.
 [x] Package is licensed with an open-source compatible license and meet other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is written in American English.
 [x] Spec file for the package is legible.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : c1e50efa98c9f7c1907b0dfd6b2656a9
     MD5SUM upstream package: c1e50efa98c9f7c1907b0dfd6b2656a9
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] Package does not own files or directories owned by other packages.

 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [-] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.
 [x] Latest version is packaged.

=== Issues ===

=== Final Notes ===

*** APPROVED ***
Comment 3 Chris Weyl 2007-04-25 12:39:05 EDT
New Package CVS Request
Package Name: perl-JSON
Short Description: Parse and convert to JSON (JavaScript Object Notation)
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 4 Chris Weyl 2007-04-25 16:39:39 EDT
Imported and built -- thanks for the review! :)
Comment 5 Chris Weyl 2008-06-13 02:29:52 EDT
Please branch for EL-5; Jon Stanley (fas id jstanley) will be the owner.
Comment 6 Kevin Fenzi 2008-06-13 12:37:58 EDT
cvs done.
Comment 7 Mathieu Bridon 2011-01-19 04:14:12 EST
This package is in EPEL5, but not in EPEL6. Is there any reason for that?

I would like to see this package in EPEL6, and I am willing to help co-maintain it.
Comment 8 Mathieu Bridon 2011-01-19 04:40:37 EST
Nevermind, I just saw it's in the RHEL6 Client repository (I was only looking at the Server one).

Sorry for the spam.
Comment 9 Jon Stanley 2011-02-09 11:35:44 EST
Apologies for not seeing this bugmail before now, if it's in the client channels and not the server, it should be in server optional. I haven't looked, but that'd be my guess.
Comment 10 Marcela Mašláňová 2011-08-11 02:12:07 EDT
Package Change Request
Package Name: perl-JSON
New Branches: el4
Owners: pghmcfc
InitialCC: perl-sig

[See that I should be commainter of this package: https://fedorahosted.org/fedora-infrastructure/ticket/2514 ]
Comment 11 Jon Ciesla 2011-08-11 04:16:42 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2011-08-11 04:56:18 EDT
perl-JSON-2.17-1.el4 has been submitted as an update for Fedora EPEL 4.
Comment 13 Fedora Update System 2011-08-26 17:55:33 EDT
perl-JSON-2.17-1.el4 has been pushed to the Fedora EPEL 4 stable repository.

Note You need to log in before you can comment on or make changes to this bug.